import i from "./index-extends.js";
import p from "./index-defineProperty.js";
import s, { forwardRef as m, PureComponent as l } from "react";
import c from "./index-Parser.js";
class d extends l {
  componentDidUpdate() {
    const {
      handleParse: e
    } = this.props;
    e();
  }
  render() {
    const {
      color: e,
      messengerAppId: r,
      pageId: t,
      children: a,
      size: o
    } = this.props;
    return s.createElement("div", {
      className: "fb-messengermessageus",
      messenger_app_id: r,
      page_id: t,
      "data-color": e,
      "data-size": o
    }, a);
  }
}
p(d, "defaultProps", {
  color: void 0,
  size: void 0,
  children: void 0
});
m((n, e) => s.createElement(c, null, ({
  handleParse: r
}) => s.createElement(d, i({}, n, {
  handleParse: r,
  ref: e
}))));
